%global gem_name rack-test

Summary:        Simple testing API built on Rack
Name:           rubygem-%{gem_name}
Version:        0.6.0
Release:        4%{?dist}
Group:          Development/Languages
License:        MIT
URL:            http://gitrdoc.com/brynary/rack-test/tree/master
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       ruby(abi) = 1.9.1
Requires:       ruby(rubygems)
BuildRequires:  rubygems-devel
BuildRequires:  rubygem(rack) >= 0.9.1
BuildRequires:  rubygem(rake)
BuildRequires:  rubygem(rspec-core)
BuildRequires:  rubygem(sinatra)
BuildArch:      noarch
Provides:       rubygem(%{gem_name}) = %{version}

%description
Rack::Test is a small, simple testing API for Rack apps. It can be used on its
own or as a reusable starting point for Web frameworks and testing libraries
to build on. Most of its initial functionality is an extraction of Merb 1.0's
request helpers feature.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{gem_dir}
gem install --local --install-dir $RPM_BUILD_ROOT%{gem_dir} \
        --force --rdoc %{SOURCE0}
sed -i -e "s|~>|>=|"  $RPM_BUILD_ROOT%{gem_instdir}/spec/spec_helper.rb
rm  $RPM_BUILD_ROOT%{gem_instdir}/.gitignore
rm  $RPM_BUILD_ROOT%{gem_instdir}/.document
rm  $RPM_BUILD_ROOT%{gem_instdir}/Gemfile*

%check
pushd %{buildroot}%{gem_instdir}
mv -f spec/spec_helper.rb spec/spec_helper.rb.orig
sed -e '/require "bundler\/setup"/d' spec/spec_helper.rb.orig > spec/spec_helper.rb
rspec -P "./**/*_spec.rb" -I. spec
mv -f spec/spec_helper.rb.orig spec/spec_helper.rb
popd

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%dir %{gem_instdir}
%{gem_libdir}
%{gem_instdir}/spec
%{gem_instdir}/Rakefile
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/MIT-LICENSE.txt
%doc %{gem_instdir}/History.txt
%doc %{gem_instdir}/Thorfile
%doc %{gem_instdir}/%{gem_name}.gemspec
%{gem_cache}
%{gem_spec}


%changelog
* Tue Jan 24 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.6.0-4
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 07 2011 Michal Fojtik <mfojtik@redhat.com> - 0.6.0-2
- Fixed broken RSpec tests by temporary removing bundler

* Mon Jun 20 2011 Michal Fojtik <mfojtik@redhat.com> - 0.6.0-1
- Version bump

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 08 2010 Michal Fojtik <mfojtik@redhat.com> - 0.5.4-1
- Update to 0.5.4

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 30 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.4.0-1
- Update to 0.4.0
- Drop useless sitelib macro

* Fri Jun 26 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-3
- Get rid of duplicate files (thanks to Mamoru Tasaka)

* Mon Jun 08 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-2
- Fix up documentation list
- Depend on ruby(abi)
- Replace defines with globals

* Fri Jun 05 2009 Lubomir Rintel (Good Data) <lubo.rintel@gooddata.com> - 0.3.0-1
- Package generated by gem2rpm
- Fix up License
